// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v4.23.4
// source: phxservices/common/types/product/v1/product.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Represents a role in a product breakpack relationship
type BreakpackRole int32

const (
	BreakpackRole_BREAKPACK_ROLE_UNSPECIFIED BreakpackRole = 0
	BreakpackRole_BREAKPACK_ROLE_INNER       BreakpackRole = 1
	BreakpackRole_BREAKPACK_ROLE_OUTER       BreakpackRole = 2
)

// Enum value maps for BreakpackRole.
var (
	BreakpackRole_name = map[int32]string{
		0: "BREAKPACK_ROLE_UNSPECIFIED",
		1: "BREAKPACK_ROLE_INNER",
		2: "BREAKPACK_ROLE_OUTER",
	}
	BreakpackRole_value = map[string]int32{
		"BREAKPACK_ROLE_UNSPECIFIED": 0,
		"BREAKPACK_ROLE_INNER":       1,
		"BREAKPACK_ROLE_OUTER":       2,
	}
)

func (x BreakpackRole) Enum() *BreakpackRole {
	p := new(BreakpackRole)
	*p = x
	return p
}

func (x BreakpackRole) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BreakpackRole) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_product_v1_product_proto_enumTypes[0].Descriptor()
}

func (BreakpackRole) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_product_v1_product_proto_enumTypes[0]
}

func (x BreakpackRole) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BreakpackRole.Descriptor instead.
func (BreakpackRole) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{0}
}

// Represents the source of a product's delivery.
type DeliverySource int32

const (
	DeliverySource_DELIVERY_SOURCE_UNSPECIFIED DeliverySource = 0
	DeliverySource_DELIVERY_SOURCE_WAREHOUSE   DeliverySource = 1
	DeliverySource_DELIVERY_SOURCE_VENDOR      DeliverySource = 2
)

// Enum value maps for DeliverySource.
var (
	DeliverySource_name = map[int32]string{
		0: "DELIVERY_SOURCE_UNSPECIFIED",
		1: "DELIVERY_SOURCE_WAREHOUSE",
		2: "DELIVERY_SOURCE_VENDOR",
	}
	DeliverySource_value = map[string]int32{
		"DELIVERY_SOURCE_UNSPECIFIED": 0,
		"DELIVERY_SOURCE_WAREHOUSE":   1,
		"DELIVERY_SOURCE_VENDOR":      2,
	}
)

func (x DeliverySource) Enum() *DeliverySource {
	p := new(DeliverySource)
	*p = x
	return p
}

func (x DeliverySource) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DeliverySource) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_product_v1_product_proto_enumTypes[1].Descriptor()
}

func (DeliverySource) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_product_v1_product_proto_enumTypes[1]
}

func (x DeliverySource) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DeliverySource.Descriptor instead.
func (DeliverySource) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{1}
}

// Represents the reasons why a product cannot be shrinked.
type ShrinkDisabledReason int32

const (
	ShrinkDisabledReason_SHRINK_DISABLED_REASON_UNSPECIFIED                ShrinkDisabledReason = 0
	ShrinkDisabledReason_SHRINK_DISABLED_REASON_PHARMACY_DISALLOWED        ShrinkDisabledReason = 1
	ShrinkDisabledReason_SHRINK_DISABLED_REASON_OUTER_BREAKPACK_DISALLOWED ShrinkDisabledReason = 2
	ShrinkDisabledReason_SHRINK_DISABLED_REASON_SUBDEPARTMENT_DISALLOWED   ShrinkDisabledReason = 3
)

// Enum value maps for ShrinkDisabledReason.
var (
	ShrinkDisabledReason_name = map[int32]string{
		0: "SHRINK_DISABLED_REASON_UNSPECIFIED",
		1: "SHRINK_DISABLED_REASON_PHARMACY_DISALLOWED",
		2: "SHRINK_DISABLED_REASON_OUTER_BREAKPACK_DISALLOWED",
		3: "SHRINK_DISABLED_REASON_SUBDEPARTMENT_DISALLOWED",
	}
	ShrinkDisabledReason_value = map[string]int32{
		"SHRINK_DISABLED_REASON_UNSPECIFIED":                0,
		"SHRINK_DISABLED_REASON_PHARMACY_DISALLOWED":        1,
		"SHRINK_DISABLED_REASON_OUTER_BREAKPACK_DISALLOWED": 2,
		"SHRINK_DISABLED_REASON_SUBDEPARTMENT_DISALLOWED":   3,
	}
)

func (x ShrinkDisabledReason) Enum() *ShrinkDisabledReason {
	p := new(ShrinkDisabledReason)
	*p = x
	return p
}

func (x ShrinkDisabledReason) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ShrinkDisabledReason) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_product_v1_product_proto_enumTypes[2].Descriptor()
}

func (ShrinkDisabledReason) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_product_v1_product_proto_enumTypes[2]
}

func (x ShrinkDisabledReason) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ShrinkDisabledReason.Descriptor instead.
func (ShrinkDisabledReason) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{2}
}

// Identifies a product and its breakpack relationship to some other product, presumably identified by a greater message
// containing this message.
type BreakpackAssociatedProduct struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: Indicates which role the product identified below fulfills.
	Role BreakpackRole `protobuf:"varint,1,opt,name=role,proto3,enum=phxservices.common.types.product.v1.BreakpackRole" json:"role,omitempty"`
	// Required: A product ID.
	ProductId uint64 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// Required: The primary UPC/EAN of a product.
	Upc string `protobuf:"bytes,3,opt,name=upc,proto3" json:"upc,omitempty"`
}

func (x *BreakpackAssociatedProduct) Reset() {
	*x = BreakpackAssociatedProduct{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BreakpackAssociatedProduct) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BreakpackAssociatedProduct) ProtoMessage() {}

func (x *BreakpackAssociatedProduct) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BreakpackAssociatedProduct.ProtoReflect.Descriptor instead.
func (*BreakpackAssociatedProduct) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{0}
}

func (x *BreakpackAssociatedProduct) GetRole() BreakpackRole {
	if x != nil {
		return x.Role
	}
	return BreakpackRole_BREAKPACK_ROLE_UNSPECIFIED
}

func (x *BreakpackAssociatedProduct) GetProductId() uint64 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *BreakpackAssociatedProduct) GetUpc() string {
	if x != nil {
		return x.Upc
	}
	return ""
}

// Describes a single price, presumably of a product at a store.
type PriceInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: The list price of an H-E-B product.
	Price string `protobuf:"bytes,1,opt,name=price,proto3" json:"price,omitempty"`
	// Required: Units of product per price for the above price.
	XFor int32 `protobuf:"varint,2,opt,name=x_for,json=xFor,proto3" json:"x_for,omitempty"`
}

func (x *PriceInfo) Reset() {
	*x = PriceInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PriceInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PriceInfo) ProtoMessage() {}

func (x *PriceInfo) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PriceInfo.ProtoReflect.Descriptor instead.
func (*PriceInfo) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{1}
}

func (x *PriceInfo) GetPrice() string {
	if x != nil {
		return x.Price
	}
	return ""
}

func (x *PriceInfo) GetXFor() int32 {
	if x != nil {
		return x.XFor
	}
	return 0
}

// Defines all the basic price info about a product at a store
type ProductPriceInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: The list price of an H-E-B product.
	ListPrice *PriceInfo `protobuf:"bytes,1,opt,name=list_price,json=listPrice,proto3" json:"list_price,omitempty"`
	// Required: Indicates if this product is on sale. If it is, the sale price info will be populated.
	OnSale bool `protobuf:"varint,2,opt,name=on_sale,json=onSale,proto3" json:"on_sale,omitempty"`
	// Optional: The list price of an H-E-B product.
	SalePrice *PriceInfo `protobuf:"bytes,3,opt,name=sale_price,json=salePrice,proto3" json:"sale_price,omitempty"`
}

func (x *ProductPriceInfo) Reset() {
	*x = ProductPriceInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductPriceInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductPriceInfo) ProtoMessage() {}

func (x *ProductPriceInfo) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_product_v1_product_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductPriceInfo.ProtoReflect.Descriptor instead.
func (*ProductPriceInfo) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_product_v1_product_proto_rawDescGZIP(), []int{2}
}

func (x *ProductPriceInfo) GetListPrice() *PriceInfo {
	if x != nil {
		return x.ListPrice
	}
	return nil
}

func (x *ProductPriceInfo) GetOnSale() bool {
	if x != nil {
		return x.OnSale
	}
	return false
}

func (x *ProductPriceInfo) GetSalePrice() *PriceInfo {
	if x != nil {
		return x.SalePrice
	}
	return nil
}

var File_phxservices_common_types_product_v1_product_proto protoreflect.FileDescriptor

var file_phxservices_common_types_product_v1_product_proto_rawDesc = []byte{
	0x0a, 0x31, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x2f, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x23, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x76, 0x31, 0x22, 0x95, 0x01, 0x0a, 0x1a, 0x42, 0x72, 0x65,
	0x61, 0x6b, 0x70, 0x61, 0x63, 0x6b, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x64,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x46, 0x0a, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x32, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x76, 0x31, 0x2e, 0x42, 0x72, 0x65, 0x61,
	0x6b, 0x70, 0x61, 0x63, 0x6b, 0x52, 0x6f, 0x6c, 0x65, 0x52, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x12,
	0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x04, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x10,
	0x0a, 0x03, 0x75, 0x70, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x70, 0x63,
	0x22, 0x36, 0x0a, 0x09, 0x50, 0x72, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x14, 0x0a,
	0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x70, 0x72,
	0x69, 0x63, 0x65, 0x12, 0x13, 0x0a, 0x05, 0x78, 0x5f, 0x66, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x04, 0x78, 0x46, 0x6f, 0x72, 0x22, 0xc9, 0x01, 0x0a, 0x10, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x4d, 0x0a,
	0x0a, 0x6c, 0x69, 0x73, 0x74, 0x5f, 0x70, 0x72, 0x69, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2e, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x52, 0x09, 0x6c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x17, 0x0a, 0x07,
	0x6f, 0x6e, 0x5f, 0x73, 0x61, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x6f,
	0x6e, 0x53, 0x61, 0x6c, 0x65, 0x12, 0x4d, 0x0a, 0x0a, 0x73, 0x61, 0x6c, 0x65, 0x5f, 0x70, 0x72,
	0x69, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x70, 0x68, 0x78, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x76, 0x31, 0x2e,
	0x50, 0x72, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x09, 0x73, 0x61, 0x6c, 0x65, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x2a, 0x63, 0x0a, 0x0d, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x70, 0x61, 0x63,
	0x6b, 0x52, 0x6f, 0x6c, 0x65, 0x12, 0x1e, 0x0a, 0x1a, 0x42, 0x52, 0x45, 0x41, 0x4b, 0x50, 0x41,
	0x43, 0x4b, 0x5f, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46,
	0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x18, 0x0a, 0x14, 0x42, 0x52, 0x45, 0x41, 0x4b, 0x50, 0x41,
	0x43, 0x4b, 0x5f, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x49, 0x4e, 0x4e, 0x45, 0x52, 0x10, 0x01, 0x12,
	0x18, 0x0a, 0x14, 0x42, 0x52, 0x45, 0x41, 0x4b, 0x50, 0x41, 0x43, 0x4b, 0x5f, 0x52, 0x4f, 0x4c,
	0x45, 0x5f, 0x4f, 0x55, 0x54, 0x45, 0x52, 0x10, 0x02, 0x2a, 0x6c, 0x0a, 0x0e, 0x44, 0x65, 0x6c,
	0x69, 0x76, 0x65, 0x72, 0x79, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x12, 0x1f, 0x0a, 0x1b, 0x44,
	0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x59, 0x5f, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x55,
	0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1d, 0x0a, 0x19,
	0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x59, 0x5f, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f,
	0x57, 0x41, 0x52, 0x45, 0x48, 0x4f, 0x55, 0x53, 0x45, 0x10, 0x01, 0x12, 0x1a, 0x0a, 0x16, 0x44,
	0x45, 0x4c, 0x49, 0x56, 0x45, 0x52, 0x59, 0x5f, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x56,
	0x45, 0x4e, 0x44, 0x4f, 0x52, 0x10, 0x02, 0x2a, 0xda, 0x01, 0x0a, 0x14, 0x53, 0x68, 0x72, 0x69,
	0x6e, 0x6b, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x52, 0x65, 0x61, 0x73, 0x6f, 0x6e,
	0x12, 0x26, 0x0a, 0x22, 0x53, 0x48, 0x52, 0x49, 0x4e, 0x4b, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x42,
	0x4c, 0x45, 0x44, 0x5f, 0x52, 0x45, 0x41, 0x53, 0x4f, 0x4e, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45,
	0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x2e, 0x0a, 0x2a, 0x53, 0x48, 0x52, 0x49,
	0x4e, 0x4b, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x42, 0x4c, 0x45, 0x44, 0x5f, 0x52, 0x45, 0x41, 0x53,
	0x4f, 0x4e, 0x5f, 0x50, 0x48, 0x41, 0x52, 0x4d, 0x41, 0x43, 0x59, 0x5f, 0x44, 0x49, 0x53, 0x41,
	0x4c, 0x4c, 0x4f, 0x57, 0x45, 0x44, 0x10, 0x01, 0x12, 0x35, 0x0a, 0x31, 0x53, 0x48, 0x52, 0x49,
	0x4e, 0x4b, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x42, 0x4c, 0x45, 0x44, 0x5f, 0x52, 0x45, 0x41, 0x53,
	0x4f, 0x4e, 0x5f, 0x4f, 0x55, 0x54, 0x45, 0x52, 0x5f, 0x42, 0x52, 0x45, 0x41, 0x4b, 0x50, 0x41,
	0x43, 0x4b, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x4c, 0x4c, 0x4f, 0x57, 0x45, 0x44, 0x10, 0x02, 0x12,
	0x33, 0x0a, 0x2f, 0x53, 0x48, 0x52, 0x49, 0x4e, 0x4b, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x42, 0x4c,
	0x45, 0x44, 0x5f, 0x52, 0x45, 0x41, 0x53, 0x4f, 0x4e, 0x5f, 0x53, 0x55, 0x42, 0x44, 0x45, 0x50,
	0x41, 0x52, 0x54, 0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x49, 0x53, 0x41, 0x4c, 0x4c, 0x4f, 0x57,
	0x45, 0x44, 0x10, 0x03, 0x42, 0x40, 0x5a, 0x3e, 0x70, 0x68, 0x78, 0x2d, 0x67, 0x72, 0x70, 0x63,
	0x2d, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x5f, 0x67,
	0x65, 0x6e, 0x2f, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_phxservices_common_types_product_v1_product_proto_rawDescOnce sync.Once
	file_phxservices_common_types_product_v1_product_proto_rawDescData = file_phxservices_common_types_product_v1_product_proto_rawDesc
)

func file_phxservices_common_types_product_v1_product_proto_rawDescGZIP() []byte {
	file_phxservices_common_types_product_v1_product_proto_rawDescOnce.Do(func() {
		file_phxservices_common_types_product_v1_product_proto_rawDescData = protoimpl.X.CompressGZIP(file_phxservices_common_types_product_v1_product_proto_rawDescData)
	})
	return file_phxservices_common_types_product_v1_product_proto_rawDescData
}

var file_phxservices_common_types_product_v1_product_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_phxservices_common_types_product_v1_product_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_phxservices_common_types_product_v1_product_proto_goTypes = []interface{}{
	(BreakpackRole)(0),                 // 0: phxservices.common.types.product.v1.BreakpackRole
	(DeliverySource)(0),                // 1: phxservices.common.types.product.v1.DeliverySource
	(ShrinkDisabledReason)(0),          // 2: phxservices.common.types.product.v1.ShrinkDisabledReason
	(*BreakpackAssociatedProduct)(nil), // 3: phxservices.common.types.product.v1.BreakpackAssociatedProduct
	(*PriceInfo)(nil),                  // 4: phxservices.common.types.product.v1.PriceInfo
	(*ProductPriceInfo)(nil),           // 5: phxservices.common.types.product.v1.ProductPriceInfo
}
var file_phxservices_common_types_product_v1_product_proto_depIdxs = []int32{
	0, // 0: phxservices.common.types.product.v1.BreakpackAssociatedProduct.role:type_name -> phxservices.common.types.product.v1.BreakpackRole
	4, // 1: phxservices.common.types.product.v1.ProductPriceInfo.list_price:type_name -> phxservices.common.types.product.v1.PriceInfo
	4, // 2: phxservices.common.types.product.v1.ProductPriceInfo.sale_price:type_name -> phxservices.common.types.product.v1.PriceInfo
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_phxservices_common_types_product_v1_product_proto_init() }
func file_phxservices_common_types_product_v1_product_proto_init() {
	if File_phxservices_common_types_product_v1_product_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_phxservices_common_types_product_v1_product_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BreakpackAssociatedProduct); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_product_v1_product_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PriceInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_product_v1_product_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductPriceInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_phxservices_common_types_product_v1_product_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_phxservices_common_types_product_v1_product_proto_goTypes,
		DependencyIndexes: file_phxservices_common_types_product_v1_product_proto_depIdxs,
		EnumInfos:         file_phxservices_common_types_product_v1_product_proto_enumTypes,
		MessageInfos:      file_phxservices_common_types_product_v1_product_proto_msgTypes,
	}.Build()
	File_phxservices_common_types_product_v1_product_proto = out.File
	file_phxservices_common_types_product_v1_product_proto_rawDesc = nil
	file_phxservices_common_types_product_v1_product_proto_goTypes = nil
	file_phxservices_common_types_product_v1_product_proto_depIdxs = nil
}
